<?php
/*
File: gbconfig.inc.php
Project: Dasc's PHP Guestbook
Author(s): Daniel Schlyder <dsc@c2i.net>
Last modified: 2002-02-05

Copyright (c) 2001, 2002 Daniel Schlyder. All rights reserved.
(See README.txt)
*/

// Configuration
// =============

// HTML tags that shouldn't be removed (example value: "<a><img><strong>")
$cfg['allowableTags'] = "";

// Name of file where entries are stored
// (this file must have write permissions! 'chmod 666' should do)
$cfg['datafile'] = "gb_entries.txt";

// Display entry number in front of name if true
$cfg['displayEntryNum'] = true;

// Number of entries to display per page
$cfg['entriesPerPage'] = 10;

// E-mail address to send new entries to
// (leave empty to disable this feature)
$cfg['entryTo'] = "";

// E-mail address to send error messages to.
// (leave empty to disable this feature)
$cfg['errorTo'] = "";

// Image used as horizontal ruler to separate entries. You must include
// filepath relative to the directory containing the 'gbview.php' file
// (eg. if you keep the file organization as in the zip archive, and put
// your image files in a dir on the same level as 'inc', path would be
// "images/name.gif" and NOT "../images/name.gif"!). Leave empty to use a
// HR tag.
$cfg['hrImage'] = "";

// Remove invalid homepage and mail addresses silently instead of displaying
// error messages if true
$cfg['ignoreAddrErrors'] = false;

// Ignore use of 'enter' key when displaying entries (ie. do not replace
// (LF/CR with BR tag) if true.
$cfg['ignoreEnter'] = false;

// Content of e-mails' From field
// (the default will use something like 'guestbook@www.yourdomain.com')
$cfg['mailFrom'] = "guestbook@" . $SERVER_NAME;

// Maximum length of message field in characters. Set to '0' to disable
// limit. (The default value of '1500' allows very long messages, but no
// hundred page long SPAM entries.)
$cfg['maxMsgLength'] = 1500;

// Controls order in which to display entries on a page (top to bottom),
// and whether to display a page with the newest or oldest entries by
// default.
$cfg['orderNewToOld'] = true;

?>
